Subject: JAVA and directed rounding

From: [email-masked]
Date: Wed, 26 Feb 1997 18:15:16 -0800

----- Begin Included Message -----

>From [email-masked] Tue Feb 25 05:44:36 1997
Date: Tue, 25 Feb 1997 14:38:00 +0100
From: Hoon Hong <[email-masked]>
To: [email-masked]
Cc: Bill.Walster@Eng
Subject: Re: JAVA and directed rounding
X-Lines: 36

Thanks Vladik,

I am currently trying to decide which language to use
for our software (large non-linear constraint solver, 
involving about 10 PhD students and 2 years) development.

I checked many languages (from C++ to Haskell),
and found that JAVA is the best among them.
But one thing is blocking me from making the final decision:
lack of support for "directional rounding".
We need it ABSOUTELY for the software.

I do know that we could use the "naitive" methods for this.
But then, it diminishes the virture of JAVA from our point of view. 

I am quite curious about why JAVA documentation says that
   
  * it supports IEEE standard for floats
  * but it does not support the main feautre of it:  directed rounding.

Further, as I know, almost all float coprocessors 
now a days support directed rounding. 
Thus, I am doubly curious about the rationale behind
the JAVA group's decision to omit the directed rounding.

I really hope that this is supported.

Best regards,

Hoon

----- End Included Message -----